;CVRISM MODULE
;NAME   CVRISM
----------------------------------------------------------------------------
; THIS FILE **MUST** BE ALTERED BEFORE IT WILL ASSEMBLE WITHOUT ERRORS.
;----------------------------------------------------------------------------
;   The following 'SET' statement configures this file to the assembler you
;   are using.
; 
;   BSO:        Set to 1 if you are using the BSO/Tasking assembler, set to
;               0 if you are using the IAR assembler.            
;----------------------------------------------------------------------------
BSO             SET     1               ; assembler switch
;----------------------------------------------------------------------------
;////////////////////////DO NOT EDIT THIS SECTION////////////////////////////
;----------------------------------------------------------------------------
RISM			SET 	0				; always 0 here 
DEBUG			SET 	0				; always 0 here
;----------------------------------------------------------------------------
;////////////////////////////////////////////////////////////////////////////
;----------------------------------------------------------------------------
; Follow these steps to configure this file:
;
;       1.      Place a semi-colon (;) at the beginning of line 3.    
;
;       2.      If you are using the BSO/Tasking assembler uncomment 
;               line 1. 
;
;       3.      If you are using the IAR assembler uncomment
;               line 2.
;
;       4.      Set USE_PTS to 1 if you are using PTS interrupts 
;               otherwise set to 0. Set USE_INTS to 1 if you are using
;               normal interrupts, otherwise set to 0.
;
;       5a.     Before assembling this file be sure to complete setting up
;               rismmain.def, otherwise your interrupt and rism data storage
;               may endup in the WRONG locations.
;
;       5b.     Set the value for monitor_pause below to the starting point 
;               in your program;           
;
;       6.      Assemble and link this file with your user program.
;----------------------------------------------------------------------------
monitor_pause       equ 2080            ; default is 2080H  
;----------------------------------------------------------------------------
;   USE_PTS:        Specifies whether your target is using PTS 
;                   interrupts. Set to 1 if your code uses PTS 
;                   interrupts. Set to 0 otherwise. This variable 
;                   reserves space for PTSCB, that must be in an internal
;                   RAM area.
;
;   USE_INTS:       Specifies whether your target is using normal 
;                   interrupts. Set to 1 if your code uses interrupts. 
;                   Set to 0 otherwise. This variable reserves space to
;                   place jumps to your interrupt routines.
;----------------------------------------------------------------------------
USE_PTS         SET     0           ; Reserve PTS locations?
USE_INTS        SET     1           ; Reserve INT locations?
;----------------------------------------------------------------------------
 IF BSO
;----------------------------------------------------------------------------
$include (rismmain.def)             ; contains remaining SET statements
$include (rismdata.asm)
 IF USE_INTS
	Dseg at INT_BASE
	dsb  STEP*14
 ENDIF
 IF USE_PTS
	Dseg at PTS_BASE
	dsb PTS_STEP*14
 ENDIF
;----------------------------------------------------------------------------
 ELSE
;----------------------------------------------------------------------------
$rismmain.def                       ; contains remaining SET statements
$rismdata.asm
 IF USE_INTS
	org INT_BASE
	dsb     STEP*14
 ENDIF
 IF USE_PTS
	org PTS_BASE
	dsb PTS_STEP*14
 ENDIF
;----------------------------------------------------------------------------
 ENDIF
;----------------------------------------------------------------------------
	end
