;----------------------------------------------------------------------------
;       FILE: RISMDATA.ASM
;----------------------------------------------------------------------------
;////////////////////////DO NOT EDIT THIS FILE///////////////////////////////
;----------------------------------------------------------------------------
; This file contains Data registers for use by RISM 
;----------------------------------------------------------------------------
; Definition of RISM data registers.
;----------------------------------------------------------------------------
 IF BSO                   
;----------------------------------------------------------------------------
 IF RISM    
	RSEG at ISR_DATA                    ; use windowed addresses in RISM, 
	                                    ; not BASE addresses
 ELSE
    DSEG at ISR_DATA_BASE               ; reserve base addresses, NOT 
                                        ; windowed addresses, for application.
 ENDIF    

rism_data:      dsl     1               ; The RISM data register
templ:          dsl     1               ; Temp for use by monitor

 IF MODEL_24_BIT
rism_addr:      dsl     1               ; The RISM address register
user_pc:        dsl     1               ; Saves user's pc during halt
 ELSE
rism_addr:      dsw     1               ; The RISM address register
user_pc:        dsw     1               ; Saves user's pc during halt
 ENDIF

 IF DEBUG
debug_reg:      dsw     1
debug_byte      equ     debug_reg
 ENDIF

user_psw:       dsw     1               ; Saves user's psw during halt
user_wsr:       dsw     1               ; saves user's wsr during halt
char            equ     templ
tempb           equ     templ+1
NMI_counter     equ     templ + 3
RISM_STAT:      dsb     1               ; Contains rism state flags
nmi_temp:       dsb     1    
;----------------------------------------------------------------------------
 ELSE
;----------------------------------------------------------------------------
	ASEG                                ; File is an Absolute Segment
 IF RISM    
	org ISR_DATA                        ; use windowed addresses in RISM, 
	                                    ; not BASE addresses
 ELSE
    org ISR_DATA_BASE                   ; reserve base addresses, NOT 
                                        ; windowed addresses, for application.
 ENDIF    

rism_data       dsl     1               ; The RISM data register
templ           dsl     1               ; Temp for use by monitor
rism_addr       dsw     1               ; The RISM address register

 IF DEBUG
debug_reg      dsw     1
debug_byte     equ     debug_reg
 ENDIF

user_pc         dsw     1               ; Saves user's pc during halt
user_psw        dsw     1               ; Saves user's psw during halt
user_wsr        dsw     1               ; Saves user's wsr during halt
tempb           equ     templ+1
char            equ     templ
NMI_counter     equ     templ + 3
RISM_STAT       dsb     1               ; Contains rism state flags
nmi_temp        dsb     1    
;----------------------------------------------------------------------------
 ENDIF
;----------------------------------------------------------------------------
; Definition of BITS in rism_stat
;----------------------------------------------------------------------------
RUN_FLAG        equ     0               ; BIT0
TRAP_FLAG       equ     1               ; BIT1
DLE_FLAG        equ     2               ; BIT2
BLK_FLAG        equ     3               ; BIT3
BUSY            equ     6               ; BIT6
;----------------------------------------------------------------------------
;   STEP:       This value separates each interrupt remap location by 
;               3 bytes if you are using 16-bit models, and 4 bytes 
;               if you are using a 24-bit model. When you load your 
;               program into ChipView these locations will be 
;               filled with jump instructions to your interrupt 
;               routines.
;----------------------------------------------------------------------------
 IF MODEL_24_BIT
STEP            equ     0004H           ; 4 bytes for 24-bit models.
 ELSE
STEP            equ     0003H           ; 3 bytes for 16-bit models.
 ENDIF
;----------------------------------------------------------------------------
